/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */

#ifndef QUBAXO_H
#define QUBAXO_H

//
// Define API decoration for direct importing of DLL references.
//

#if defined(_WIN32)
#define QAX_DLLEXPORT __declspec(dllexport)
#define QAX_DLLIMPORT __declspec(dllimport)
#else
#define QAX_DLLEXPORT
#define QAX_DLLIMPORT
#endif

#if !defined(_QAX_)
#define QAX_API QAX_DLLIMPORT
#else
#define QAX_API QAX_DLLEXPORT
#endif

#if defined(_WIN32)
#include <windows.h>
#endif

extern "C" {

QAX_API int   __stdcall  Convert_ABF_To_QDF( const char *in_path, const char *out_path,
											 int (__stdcall *write_msg)(const char *msg, void *data),
											 void *data );

QAX_API int   __stdcall  QAX_IsABFFile( const char *path );

QAX_API int   __stdcall  Convert_Acquire_To_QDF( const char *in_path, const char *out_path,
												int (__stdcall *write_msg)(const char *msg, void *data),
												void *data );

}

#endif
